Bug 4266 - rpm install misorder
: rpm install misorder
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/glibc-core)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-05-31 15:55 by
Modified: 2006-02-04 15:41 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-31 15:55:12
On early install stage:
---
Preparing packages for installation...
setup-2.2.5-alt1
Preparing packages for installation...
warning: group proc does not exist - using root
warning: group uucp does not exist - using root
warning: group uucp does not exist - using root
warning: group nobody does not exist - using root
warning: group mail does not exist - using root
filesystem-2.1.7-alt1
glibc-core-2.3.3.200405070341-alt1
...
---
Seems prereq in glibc-core to filesystem isn't good thing
------- Comment #1 From 2004-06-02 15:33:31 -------
What does the system contains "on early install stage"?
------- Comment #2 From 2004-06-02 15:54:11 -------
almost nothing.
static /bin/rpm and apt hashes (tested on sandman)
------- Comment #3 From 2004-06-02 16:01:04 -------
Static rpm needs dynamic nss modules as well as dynamic rpm.

So you suggest to remove glibc-core->filesystem dependence?
------- Comment #4 From 2004-06-02 16:23:23 -------
yes, it needs.
my point is: before installing filesystem package
we need setup & nss modules installed.
so, prereq to filesystem, added since 2.2.6, is evil
------- Comment #5 From 2004-06-02 21:05:59 -------
Change it to setup is ok?
------- Comment #6 From 2004-06-03 12:01:51 -------
yes
------- Comment #7 From 2004-06-03 15:20:20 -------
Ok, changed in 6:2.3.3.200406020600-alt1.